jQuery Slider View Helper

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License
inherited_from | \ZendX_JQuery_View_Helper_UiWidget

### Methods

## Set view and enable jQuery Core and UI libraries

    setView(\Zend_View_Interface $view) : \ZendX_JQuery_View_Helper_Widget

Inherited

### Parameters

#### $view

`\Zend_View_Interface`

### Returns

`\ZendX_JQuery_View_Helper_Widget`

## Create jQuery slider that updates its values into a hidden form input field.

    slider(string $id, string $value = null, array $params = array(), array $attribs = array()) : string

link | http://docs.jquery.com/UI/Slider

### Parameters

#### $id

`string`

#### $value

`string`

#### $params

`array`

#### $attribs

`array`

### Returns

`string`

## Helps with building the correct Attributes Array structure.

    _prepareAttributes(String $id, String $value, Array $attribs) : Array

Inherited

### Parameters

#### $id

`String`

#### $value

`String`

#### $attribs

`Array`

### Returns

`Array`$attribs

## getChangeCallback()

    getChangeCallback($jqh, $sliderHiddenId, $elementId, $handlerNum)

### Parameters

#### $jqh

#### $sliderHiddenId

#### $elementId

#### $handlerNum

## getHandleCount()

    getHandleCount($params)

### Parameters

#### $params

## getHandleValue()

    getHandleValue($handleNum, $params)

### Parameters

#### $handleNum

#### $params

## initializeStartingValues()

    initializeStartingValues($value, $params)

### Parameters

#### $value

#### $params

### Properties

## Contains reference to the jQuery view helper

    $jquery : \ZendX_JQuery_View_Helper_JQuery_Container

### Default